/*
 * $Id$
 * Author: Karoly Bosa
 *
 * (C) 2010 by Research Institute for Symbolic Computation, Linz, Austria
 * All rights reserved. See COPYRIGHT in top-level directory.
 */

#ifndef LISTOFHOSTS_H_
#define LISTOFHOSTS_H_

#include <stdio.h>
#include <vector>
#include "HostData.h"

using namespace std;

class ListOfHosts {
	private :
		vector<HostData *> hostList;

	public :
		ListOfHosts();
		virtual ~ListOfHosts();
		int addHost(HostData *newHost);
		int getNrOfHosts();
		HostData *getHostByIndex(unsigned int index);
		void clearHosts();
		void printOutHosts(FILE *f);
};

#endif /* LISTOFHOSTS_H_ */
