/*
 * $Id$
 * Author: Karoly Bosa
 *
 * (C) 2010 by Research Institute for Symbolic Computation, Linz, Austria
 * All rights reserved. See COPYRIGHT in top-level directory.
 */

#include <stdlib.h>
#include <stdio.h>
#include <string.h>

#include <taag_basic.h>
#include <taag_errno.h>

#include "HostData.h"
#include "ListOfHosts.h"
#include "LatencyMatrix.h"

int _nws_setNameServer(char *_nwsNameServer, unsigned int _nwsNameServerPort) {
	return TAAG_SUCCESS;
}

int _nws_getHosts(ListOfHosts *hostList, int factor) {
	HostData *host;
	host = new HostData(0, "H0", 16.0, 16, factor);
	hostList->addHost(host);
	return TAAG_SUCCESS;
}

int _nws_getLatencies(int nrOfHosts, LatencyMatrix *matrix) {
	return TAAG_SUCCESS;
}
